Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class S_TiePreparedSelector

    java.lang.Object
      oracle.ifs.server.S_PreparedSelector
          oracle.ifs.server.S_TiePreparedSelector

    public class S_TiePreparedSelector

extends S_PreparedSelector

S_TiePreparedSelector allows the Oracle-defined behavior of the S_PreparedSelector class to be extended or overridden.

See Also:
  `S_PreparedSelector`
(Published)

Field Summary

Fields inherited from class oracle.ifs.server.S_PreparedSelector
`STATEMENTKEY_ADMIN_MODE_SUFFIX`

Constructor Summary
`S_TiePreparedSelector(S_LibrarySession session)` Constructs a S_TiePreparedSelector.
`S_TiePreparedSelector(S_LibrarySession session, java.lang.String key, boolean distinct, AttributeValue searchTarget, AttributeValue[] auxSearchTargets, java.lang.String searchSelection, SortSpecification sort, boolean recursive, java.lang.String language, int maxItemCount, int rowNumber, java.lang.String hint, AttributeValue[] bindValues)` Constructs a S_TiePreparedSelector.

Method Summary

Methods inherited from class oracle.ifs.server.S_PreparedSelector
`applySortSpecificationDefaults, getAuxiliarySearchTargets, getBindValues, getClassFromTarget, getHint, getItemCount, getItems, getMaxItemCount, getPrimarySearchAlias, getPrimarySearchClass, getPrimarySearchTarget, getSearchLanguage, getSearchSelection, getSession, getSortSpecification, getStartingRowNumber, getStatementKey, isDistinct, isRecursiveSearch, resolveStatementKey, setAuxiliarySearchTargets, setBindValues, setDistinct, setHint, setMaxItemCount, setPrimarySearchClass, setPrimarySearchTarget, setRecursiveSearch, setSearchLanguage, setSearchSelection, setSortSpecification, setStartingRowNumber, setStatementKey`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### S_TiePreparedSelector

    public S_TiePreparedSelector(S_LibrarySession session)
                          throws IfsException

  Constructs a S_TiePreparedSelector.

  Parameters:
    `session` - the current session.
  Throws:
    `IfsException` - if the operation fails

### S_TiePreparedSelector

    public S_TiePreparedSelector(S_LibrarySession session,
                                 java.lang.String key,
                                 boolean distinct,
                                 AttributeValue searchTarget,
                                 AttributeValue[] auxSearchTargets,
                                 java.lang.String searchSelection,
                                 SortSpecification sort,
                                 boolean recursive,
                                 java.lang.String language,
                                 int maxItemCount,
                                 int rowNumber,
                                 java.lang.String hint,
                                 AttributeValue[] bindValues)
                          throws IfsException

  Constructs a S_TiePreparedSelector.

  Parameters:
    `session` - the current session
    `key` - the statement key
    `distinct` - whether to select with "distinct" clause
    `searchTarget` - the primary search target
    `auxSearchTargets` - the auxiliary search targets
    `searchSelection` - the search selection
    `sort` - the sort specification
    `recursive` - whether the search should include subclasses
    `language` - the search language to use
    `maxItemCount` - maximum number of items to select
    `rowNumber` - the starting row number for the returned results
    `hint` - the SQL hint to use for the main select
    `bindValues` - the bind values
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD